commit 42c3cee478bcb2f88f8ec77068c5a46a68bb1e8e
Author: John Stowers <john.stowers@gmail.com>
Date:   Fri Apr 1 23:40:00 2011 +1300

    Update for 2.24.0 release

 NEWS         |    6 ++++--
 configure.ac |    4 ++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 7748c01bf64eb9db843bf786d11f8a3dc0edc77f
Author: John Stowers <john.stowers@gmail.com>
Date:   Wed Mar 30 20:54:15 2011 +1300

    Update README

 README |   45 +++++++++++++++++++--------------------------
 1 files changed, 19 insertions(+), 26 deletions(-)

commit ddcbf6c3c9d7a1102ff2d22c5d7533d3022a09ed
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Mar 24 15:53:26 2011 +0100

    setup.py: include glade files required by tests

 setup.py |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 913fe0227f0c00b5c4f9c2af594eba56b0972545
Author: John Stowers <john.stowers@gmail.com>
Date:   Fri Mar 25 00:21:32 2011 +1300

    Add --without-glade configure option. No change to current behaviour

 configure.ac |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 5f66d9b20eb223bdd547f027634b8a71db66e526
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Mar 24 08:29:15 2011 +0100

    tests: fix test_api, test_dialog, test_enum and test_liststore

 tests/test_api.py       |    6 +-
 tests/test_dialog.py    |    7 +-
 tests/test_enum.py      |  164
 +++++++++++++++++++++++-----------------------
 tests/test_liststore.py |    6 +-
 4 files changed, 92 insertions(+), 91 deletions(-)

commit 12206c5a8f944b72f5bf306d72eb22122dc29f1c
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 16 15:32:15 2011 +0100

    reference: pygtk-gtkentrycompletion.xml: explain how to override
    default "match-selected" behaviour (bug 593386)

 docs/reference/pygtk-gtkentrycompletion.xml |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 220fd37716fc2479a5a52c23a02772ab70d6c93f
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 16 14:16:20 2011 +0100

    reference: work around docbook weirdness where xml formatting affects
    the generated html

 docs/reference/pygtk-gtkinfobar.xml         |   66 +++++----------
 docs/reference/pygtk-gtkoffscreenwindow.xml |   18 ++---
 docs/reference/pygtk-gtkspinner.xml         |   18 ++---
 docs/reference/pygtk-gtktoolitemgroup.xml   |  102
 ++++++++---------------
 docs/reference/pygtk-gtktoolpalette.xml     |  120
 +++++++++------------------
 5 files changed, 108 insertions(+), 216 deletions(-)

commit 941ede8262a1aa49d59e486f0f82ee2e3374d796
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 16 13:44:21 2011 +0100

    reference: pygtk-gtktoolshell.xml: add gtk.ToolItemGroup to known
    implementations

 docs/reference/pygtk-gtktoolshell.xml |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 104b7c66947eea718ecde4c562c44eb995a3a054
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 16 13:43:58 2011 +0100

    reference: pygtk-gtktoolpalette.xml: add purpose, interfaces,
    properties and signals + update methods

 docs/reference/pygtk-gtktoolpalette.xml |  279
 +++++++++++++++++++++++++++----
 1 files changed, 247 insertions(+), 32 deletions(-)

commit 68b467031c2fd6ab0343e47fa9cc5719f4b2985f
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 16 13:43:45 2011 +0100

    reference: pygtk-gtktoolitemgroup.xml: add purpose, interfaces,
    properties and signals + update methods

 docs/reference/pygtk-gtktoolitemgroup.xml |  247
 ++++++++++++++++++++++++++--
 1 files changed, 229 insertions(+), 18 deletions(-)

commit 28827cc8792ad721fb9b3e97c796859ad8fddc40
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 16 13:39:28 2011 +0100

    reference: pygtk-gtkcellrendererspinner.xml: add "icon size constants"
    xref

 docs/reference/pygtk-gtkcellrendererspinner.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3a3063cb0215d4707ddc4a7ca386879cd8fb40c0
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 15 17:37:37 2011 +0100

    reference: pygtk-gtkspinner.xml: add purpose, interfaces, properties
    and signals

 docs/reference/pygtk-gtkspinner.xml |   98
 ++++++++++++++++++++++++++++++++++-
 1 files changed, 97 insertions(+), 1 deletions(-)

commit 87da282b140cf3a9012cef6c8500b16e39492343
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 15 17:35:13 2011 +0100

    reference: pygtk-gtkoffscreenwindow.xml: add purpose, interfaces,
    properties and signals + update methods

 docs/reference/pygtk-gtkoffscreenwindow.xml |   87
 +++++++++++++++++++++++---
 1 files changed, 77 insertions(+), 10 deletions(-)

commit 74c1322745671a22b8d40ef47782e0ef35a99419
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 15 17:33:56 2011 +0100

    reference: pygtk-gtkwidget.xml: add "damage-event" to signal
    prototypes list

 docs/reference/pygtk-gtkwidget.xml |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit f835813c6b5f7824e3f1c2a84e9ecf0d2f09ea5f
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 15 15:54:30 2011 +0100

    reference: pygtk-gtkinfobar.xml: add purpose, interfaces, properties
    and signals + update methods

 docs/reference/pygtk-gtkinfobar.xml |  288
 ++++++++++++++++++++++++++++++++---
 1 files changed, 269 insertions(+), 19 deletions(-)

commit 3f832b40642c0343810f3e64f0a53702a00ecffe
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 15 11:24:57 2011 +0100

    reference: fix some availability and deprecation annotations

 docs/reference/pygtk-gtkaboutdialog.xml     |    2 +-
 docs/reference/pygtk-gtkcellview.xml        |    2 +-
 docs/reference/pygtk-gtkinfobar.xml         |   23 ++++++-----
 docs/reference/pygtk-gtkoffscreenwindow.xml |    6 +-
 docs/reference/pygtk-gtkprintoperation.xml  |   14 +++---
 docs/reference/pygtk-gtkspinner.xml         |    6 +-
 docs/reference/pygtk-gtkstatusbar.xml       |    4 +-
 docs/reference/pygtk-gtktoolitem.xml        |    8 ++--
 docs/reference/pygtk-gtktoolitemgroup.xml   |   34 ++++++++--------
 docs/reference/pygtk-gtktoolpalette.xml     |   40 +++++++++---------
 docs/reference/pygtk-gtktooltip.xml         |    2 +-
 docs/reference/pygtk-gtkviewport.xml        |    2 +-
 docs/reference/pygtk-gtkwidget.xml          |   58
 +++++++++++++-------------
 docs/reference/pygtk-gtkwindow.xml          |    6 +-
 14 files changed, 104 insertions(+), 103 deletions(-)

commit 4ee69df8aaeac780cf7b96e2040d58084c2748cb
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Sat Mar 12 20:53:39 2011 +0100

    reference: pygtk-gtkwidget.xml: fix
    gtk.widget_class_install_style_property, based on
    gtk.Container.install_child_property (bug #612905)

 docs/reference/pygtk-gtkwidget.xml |  178
 ++++++++++++++++++++++++++++++-----
 1 files changed, 152 insertions(+), 26 deletions(-)

commit 4db4335225b3dc6d0c4f255467658dbf1e1d30e3
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Sat Mar 12 20:40:36 2011 +0100

    reference: pygtk-gtkadjustment.xml: add configure() method (bug
    #623033)

 docs/reference/pygtk-gtkadjustment.xml |   55
 ++++++++++++++++++++++++++++++++
 1 files changed, 55 insertions(+), 0 deletions(-)

commit 401a9c1ea01b33dad5f2ca9e2659617389d4f074
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Mar 17 18:26:49 2011 +0100

    setup.py: fix user_access_control option

 setup.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b8c3c7904f7fd329905ddef29dc4f1e2830c550e
Author: John Stowers <john.stowers@gmail.com>
Date:   Sat Mar 12 16:19:13 2011 +1300

    Post release version bump

 NEWS         |    7 +++++--
 configure.ac |    2 +-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 8e61abd95a3ca1fbd7f64260d840542da96bfdac
Author: John Stowers <john.stowers@gmail.com>
Date:   Sat Mar 12 15:05:40 2011 +1300

    NEWS updates for 2.23.1

 NEWS         |    3 +++
 configure.ac |    4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit f27633ddfc87237511f6af75357e8232d58a3bce
Author: John Stowers <john.stowers@gmail.com>
Date:   Sat Mar 12 16:04:09 2011 +1300

    fix distcheck

 docs/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 7603bd8fe43f180cb5c90897814ff647f0cf22b5
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Mar 10 21:48:14 2011 +0100

    reference: add gtk.InfoBar, gtk.OffscreenWindow, gtk.Spinner,
    gtk.ToolItemGroup and gtk.ToolPalette skeleton xml files

 docs/Makefile.am                            |   10 +
 docs/reference/pygtk-gtk-classes.xml        |    5 +
 docs/reference/pygtk-gtkinfobar.xml         |  370 ++++++++++++++++
 docs/reference/pygtk-gtkoffscreenwindow.xml |  128 ++++++
 docs/reference/pygtk-gtkspinner.xml         |  106 +++++
 docs/reference/pygtk-gtktoolitemgroup.xml   |  521 ++++++++++++++++++++++
 docs/reference/pygtk-gtktoolpalette.xml     |  636
 +++++++++++++++++++++++++++
 7 files changed, 1776 insertions(+), 0 deletions(-)

commit 6ede95e765c560327c903a896f774d2c991e34a7
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Mar 10 21:10:22 2011 +0100

    missing-symbols: update to current state of things

 docs/random/missing-symbols |   88
 +++++++++++++++++++++++++++++-------------
 1 files changed, 61 insertions(+), 27 deletions(-)

commit 2e8d46d9d33cf28da3f9b3019b287de99f0ade49
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Mar 10 21:06:44 2011 +0100

    reference: pygtk-gtkwindow.xml: add missing methods and properties

 docs/reference/pygtk-gtkwindow.xml |  779
 +++++++++++++++++++++---------------
 1 files changed, 462 insertions(+), 317 deletions(-)

commit 6a4fa002a2d53de62cb38fdb9f7ed67849a632f2
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 9 23:10:40 2011 +0100

    reference: pygtk-gtkwidget.xml: add missing methods and properties

 docs/reference/pygtk-gtkwidget.xml |  879
 +++++++++++++++++++++++++++++++++++-
 1 files changed, 869 insertions(+), 10 deletions(-)

commit a01ec627e5ca505680c1de64fdfadb5b68da3c3a
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 9 07:59:47 2011 +0100

    reference: pygtk-gtkwidget.xml: reformat synopsis section

 docs/reference/pygtk-gtkwidget.xml |  896
 ++++++++++++++----------------------
 1 files changed, 334 insertions(+), 562 deletions(-)

commit 83803cb2cce05f88a77fce2bf262b37ea834fbd2
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 9 07:58:04 2011 +0100

    reference: pygtk-gtkviewport.xml: add missing methods

 docs/reference/pygtk-gtkviewport.xml |   52
 ++++++++++++++++++++++++++++++++++
 1 files changed, 52 insertions(+), 0 deletions(-)

commit 4f8d510e9648feafaec144c32a4040263aea39a5
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 9 07:57:21 2011 +0100

    reference: pygtk-gtktreemodelfilter: fix set_modify_func link

 docs/reference/pygtk-gtktreemodelfilter.xml |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ea0c3a3c2cfd308488f1eb8de87663cebf286574
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 9 07:56:10 2011 +0100

    reference: pygtk-gtktooltip.xml: add missing set_icon_from_gicon
    method and add parameter markup

 docs/reference/pygtk-gtktooltip.xml |   48
 ++++++++++++++++++++++++++++++----
 1 files changed, 42 insertions(+), 6 deletions(-)

commit 7720713691f335ebf28bd18f4519539074d6c818
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 9 07:36:21 2011 +0100

    reference: pygtk-gtktoolitem.xml: add missing methods

 docs/reference/pygtk-gtktoolitem.xml |  115
 +++++++++++++++++++++++++++++++++-
 1 files changed, 114 insertions(+), 1 deletions(-)

commit c4d2073ed61c48481679cf739aabcafaf81ae2ec
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 8 17:59:23 2011 +0100

    reference: pygtk-gtktextview.xml: add missing methods

 docs/reference/pygtk-gtktextview.xml |  108
 ++++++++++++++++++++++++++++++++++
 1 files changed, 108 insertions(+), 0 deletions(-)

commit 386c2431c226779a62a3f17573db1835c3282209
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 8 17:58:36 2011 +0100

    reference: pygtk-gtktextbuffer.xml: add paste-done signal

 docs/reference/pygtk-gtktextbuffer.xml |   46
 ++++++++++++++++++++++++++++++++
 1 files changed, 46 insertions(+), 0 deletions(-)

commit 5c70c2fafade28d877ea6a864d3746798dd08e4f
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 8 17:57:21 2011 +0100

    reference: pygtk-gtkstatusicon.xml: add missing methods and properties

 docs/reference/pygtk-gtkstatusicon.xml |  276
 +++++++++++++++++++++++++++++++-
 1 files changed, 274 insertions(+), 2 deletions(-)

commit ee1cfa7c446fbdca40f07d77ae348641da535a07
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 8 17:52:55 2011 +0100

    reference: pygtk-gtkstatusbar.xml: add missing methods

 docs/reference/pygtk-gtkstatusbar.xml |   54
 +++++++++++++++++++++++++++++++++
 1 files changed, 54 insertions(+), 0 deletions(-)

commit fd7edc96dbac571a1b45a0c6307cd52d859602fa
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 8 17:51:59 2011 +0100

    reference: pygtk-gtksizegroup: add missing get_widgets method

 docs/reference/pygtk-gtksizegroup.xml |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

commit 1c8c42b7f6848c14de1547f19cacf408becd3183
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Mar 7 10:02:13 2011 +0100

    reference: pygtk-gtksettings.xml: add missing properties

 docs/reference/pygtk-gtksettings.xml | 1098
 ++++++++++++++++++----------------
 1 files changed, 573 insertions(+), 525 deletions(-)

commit 536aa13e88b4afee3cb67d8dc7d71cec51601158
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 2 17:58:16 2011 +0100

    reference: pygtk-gtkscale.xml: add missing methods

 docs/reference/pygtk-gtkscale.xml |   66
 +++++++++++++++++++++++++++++++++++++
 1 files changed, 66 insertions(+), 0 deletions(-)

commit 6fc18a98b2599be3936b1c5c8626950a49dff6bd
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 2 17:16:52 2011 +0100

    reference: pygtk-gtkrecentchooser.xml: add deprecation warnings

 docs/reference/pygtk-gtkrecentchooser.xml |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit f8fac16503e56744e39a4f2d488ecc2aeb070974
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 2 14:27:36 2011 +0100

    reference: pygtk-gtkrecentaction.xml: add missing show-numbers
    property

 docs/reference/pygtk-gtkrecentaction.xml |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 26ba954b7162094a31ca7378bfc19dcd92e9c303
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 2 12:03:59 2011 +0100

    reference: pygtk-gtkrange.xml: add missing methods and properties

 docs/reference/pygtk-gtkrange.xml |  446
 +++++++++++++++++++++++++++++++++----
 1 files changed, 407 insertions(+), 39 deletions(-)

commit 981de8eed79bbbd2f04c877f1070800491c4c0ad
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 2 08:09:16 2011 +0100

    reference: pygtk-gtkradioaction.xml: add missing set_current_value
    method

 docs/reference/pygtk-gtkradioaction.xml |   27
 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit 4ae84d09a55e0fb93bd14e534eb94015f2b55708
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 2 07:59:46 2011 +0100

    reference: pygtk-gtkprintsettings.xml: add missing methods

 docs/reference/pygtk-gtkprintsettings.xml |  144
 ++++++++++++++++++++++++++++-
 1 files changed, 143 insertions(+), 1 deletions(-)

commit 367b1c7d2ec823c4392ffe414f169323a6d60196
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Mar 2 07:43:44 2011 +0100

    reference: pygtk-gtkprintoperation.xml: add missing methods and
    properties

 docs/reference/pygtk-gtkprintoperation.xml |  293
 ++++++++++++++++++++++++++-
 1 files changed, 282 insertions(+), 11 deletions(-)

commit cb1158a8038afd936aac7693c3d9c4c7f26bd491
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 1 17:39:56 2011 +0100

    reference: pygtk-gtknotebook.xml: add missing methods and properties

 docs/reference/pygtk-gtknotebook.xml |  187
 +++++++++++++++++++++++++++++++++-
 1 files changed, 186 insertions(+), 1 deletions(-)

commit 399d652321b7bd06f74d175f454eae53b239701c
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 1 17:17:09 2011 +0100

    reference: pygtk-gtkmessagedialog.xml: add missing methods and
    properties

 docs/reference/pygtk-gtkmessagedialog.xml |   39
 +++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)

commit 9a9e8d7d96c6dcf5f7429ee714d04794cd4f6425
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 1 17:11:26 2011 +0100

    reference: pygtk-gtkmenuitem.xml: add missing methods and properties

 docs/reference/pygtk-gtkmenuitem.xml |  132
 ++++++++++++++++++++++++++++++++++
 1 files changed, 132 insertions(+), 0 deletions(-)

commit 14873b69ac47432164d8ef306008d58b0211eaae
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 1 16:51:25 2011 +0100

    reference: pygtk-gtkmenu.xml: add missing methods and properties

 docs/reference/pygtk-gtkmenu.xml |  100
 +++++++++++++++++++++++++++++++++++---
 1 files changed, 93 insertions(+), 7 deletions(-)

commit af9998394aa17b66b671e8bed65882f15c1368ce
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 1 15:09:27 2011 +0100

    reference: pygtk-gtklabel.xml: add missing methods, properties
    and signals

 docs/reference/pygtk-gtklabel.xml |  241
 +++++++++++++++++++++++++++++++++++++
 1 files changed, 241 insertions(+), 0 deletions(-)

commit 416f7d63fbdb8e44fde1608de23bf8de4b5846c9
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 1 13:42:38 2011 +0100

    reference: pygtk-gtkimmulticontext.xml: add missing methods

 docs/reference/pygtk-gtkimmulticontext.xml |   58
 ++++++++++++++++++++++++++++
 1 files changed, 58 insertions(+), 0 deletions(-)

commit d1c06aee81c05ffb42c402ed76906f5b45036280
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 1 13:36:28 2011 +0100

    reference: pygtk-gtkimagemenuitem: add missing methods and properties

 docs/reference/pygtk-gtkimagemenuitem.xml |  176
 ++++++++++++++++++++++++++++-
 1 files changed, 174 insertions(+), 2 deletions(-)

commit 1a183d393c139b8b5cc3286de9d9ce93e883695a
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 1 13:03:45 2011 +0100

    reference: pygtk-gtkiconview.xml: add missing methods and properties

 docs/reference/pygtk-gtkiconview.xml |  198
 +++++++++++++++++++++++++++++++++-
 1 files changed, 197 insertions(+), 1 deletions(-)

commit 8876741af912fdd039994ccd59072a87ef1edf76
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 1 06:44:09 2011 +0100

    reference: pygtk-gtkfunctions: move gtk.show_uri from
    pygtk-gtkmountoperation

 docs/reference/pygtk-gtk-functions.xml     |   63
 +++++++++++++++++++++++++-
 docs/reference/pygtk-gtkaboutdialog.xml    |    3 +-
 docs/reference/pygtk-gtkmountoperation.xml |   67
 ----------------------------
 3 files changed, 64 insertions(+), 69 deletions(-)

commit a17e452739a39f15d617ea643a370a6ed673b66b
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 28 17:05:55 2011 +0100

    reference: pygtk-gtkhandlebox.xml: add child-detached property

 docs/reference/pygtk-gtkhandlebox.xml |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 2742482db60af49d9b1eace51ae6c1edf451e6e8
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 28 16:55:01 2011 +0100

    reference: pygtk-gtkfontselectiondialog.xml: add new
    get_font_selection method

 docs/reference/pygtk-gtkfontselectiondialog.xml |   28
 +++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit 767e1e909b067fd87b53d750ca24e1d0becf5f60
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 28 16:49:55 2011 +0100

    reference: pygtk-gtkfileselection.xml: add deprecation warning

 docs/reference/pygtk-gtkfileselection.xml |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 0a5e95b775ccfb0fe1be323a4e63bc5e0b215346
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 28 10:40:06 2011 +0100

    reference: pygtk-gtkexpander.xml: add missing label-fill methods
    and property

 docs/reference/pygtk-gtkexpander.xml |   58
 ++++++++++++++++++++++++++++++++++
 1 files changed, 58 insertions(+), 0 deletions(-)

commit 7b804e65f93b330feb974da2b93852cb895c3aef
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 28 10:17:53 2011 +0100

    reference: pygtk-gtkentrycompletion.xml: add missing method & fix
    signal notation

 docs/reference/pygtk-gtkentrycompletion.xml |   31
 ++++++++++++++++++++++++++-
 1 files changed, 30 insertions(+), 1 deletions(-)

commit c32fae53b16048640f32c6e58aa042449720181c
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 28 09:35:34 2011 +0100

    reference: pygtk-gtkentrybuffer.xml: new in PyGTK 2.22

 docs/Makefile.am                        |    2 +
 docs/reference/pygtk-gtk-classes.xml    |    1 +
 docs/reference/pygtk-gtkentrybuffer.xml |  551
 +++++++++++++++++++++++++++++++
 3 files changed, 554 insertions(+), 0 deletions(-)

commit 2283f7b5bcd8c128fc1e7c5c05c9fa3625e27dfa
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 24 07:10:02 2011 +0100

    reference: pygtk-gtkentry.xml: add new methods, properties and
    signals and mark deprecated stuff as such

 docs/reference/pygtk-gtkentry.xml | 1459
 +++++++++++++++++++++++++++++++++----
 1 files changed, 1300 insertions(+), 159 deletions(-)

commit 263fe7ee199e5504101b549d5dcc8017a9b6bded
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Feb 22 17:09:31 2011 +0100

    reference: pygtk-gtkdialog.xml: mark deprecated property and methods

 docs/reference/pygtk-gtkdialog.xml |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

commit b2ea766aebf250ea85c533f29e048fbd54aba791
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Feb 22 16:59:27 2011 +0100

    reference: pygtk-gtkcurve.xml: change the warning into a deprecation
    warning

 docs/reference/pygtk-gtkcurve.xml |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit bfa788e6cff145505e897e36209e983860fe0f35
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Feb 22 11:13:03 2011 +0100

    reference: pygtk-gtkcomboboxtext.xml: new in PyGTK 2.24

 docs/Makefile.am                         |    2 +
 docs/reference/pygtk-gtk-classes.xml     |    1 +
 docs/reference/pygtk-gtk-functions.xml   |   10 +
 docs/reference/pygtk-gtkcomboboxtext.xml |  306
 ++++++++++++++++++++++++++++++
 4 files changed, 319 insertions(+), 0 deletions(-)

commit 44537210ec9ba18e28c5923999331aedf521f145
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 21 22:02:35 2011 +0100

    reference: pygtk-gtkaboutdialog.xml: add new activate-link signal

 docs/reference/pygtk-gtkaboutdialog.xml |   67
 ++++++++++++++++++++++++++++--
 1 files changed, 62 insertions(+), 5 deletions(-)

commit c7efda1b6b5a27b8a718ded29d892f4add1cfaab
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 21 17:30:23 2011 +0100

    reference: pygtk-gtkcombobox.xml: mark deprecated methods and
    functions

 docs/reference/pygtk-gtkcombobox.xml |   46
 ++++++++++++++++++++++++++++++---
 1 files changed, 41 insertions(+), 5 deletions(-)

commit 6d07c134cef9995fede537b43aa3ad834ba4872f
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 21 13:59:11 2011 +0100

    reference: pygtk-gtkcombobox.xml: add new methods and properties

 docs/reference/pygtk-gtkcombobox.xml |  115
 +++++++++++++++++++++++++++++++---
 1 files changed, 107 insertions(+), 8 deletions(-)

commit 7e23daed4c9d5eaf7e7b11cfc5d7d9a4e7751e46
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 21 10:36:50 2011 +0100

    reference: pygtk-gtkclipboard.xml: reorder methods, fixing some
    links in the process

 docs/reference/pygtk-gtkclipboard.xml | 1016
 +++++++++++++++++----------------
 1 files changed, 509 insertions(+), 507 deletions(-)

commit 02a24ec53a579cd3d5a00a1d5f8e02f0b1b6213c
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 21 09:56:16 2011 +0100

    reference: pygtk-gtkcellview: mark deprecated methods

 docs/reference/pygtk-gtkcellview.xml |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit a4f8654fba7c3f83bda5b786ca4c848ef5299001
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 21 09:12:58 2011 +0100

    reference: pygtk-gtkcellrenderer.xml: fix deprecation warning

 docs/reference/pygtk-gtkcellrenderer.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e2143febb5459647f361fdac4819c2405df711b7
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 21 09:12:36 2011 +0100

    reference: pygtk-gtkcalendar.xml: mark deprecated methods

 docs/reference/pygtk-gtkcalendar.xml |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 3aee98ecfb4d87303e3c25999b1fdefb5edfbadd
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 21 08:08:03 2011 +0100

    reference: pygtk-gtkbutton.xml: mark deprecated methods and signals

 docs/reference/pygtk-gtkbutton.xml |   48
 ++++++++++++++++++++++++++++++++++++
 1 files changed, 48 insertions(+), 0 deletions(-)

commit ed423625a77ac762c446ddb05b7e87efb2982b6c
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Sat Feb 19 20:07:55 2011 +0100

    reference: pygtk-gtkcellrendererspinner.xml: new in PyGTK 2.22

 docs/Makefile.am                                |    2 +
 docs/reference/pygtk-gtk-classes.xml            |    1 +
 docs/reference/pygtk-gtkcellrendererspinner.xml |  129
 +++++++++++++++++++++++
 3 files changed, 132 insertions(+), 0 deletions(-)

commit 77e9328f679dc4bb095b2f950fe3b92bdc9db8e9
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Sat Feb 19 19:02:02 2011 +0100

    reference: pygtk-gtkcellrenderer.xml: fix set_alignment and
    get_alignment links

 docs/reference/pygtk-gtkcellrenderer.xml |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bfd5415712255671415d37d634ac1c3774dd6bf0
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Sat Feb 19 18:53:22 2011 +0100

    reference: pygtk-gtkcalendar.xml: add missing style properties

 docs/reference/pygtk-gtkcalendar.xml |   31
 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

commit aa352f75e82a3c0a885a231788884c75007923c6
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Sat Feb 19 16:18:07 2011 +0100

    reference: pygtk-gtkbutton.xml: add image-spacing style property

 docs/reference/pygtk-gtkbutton.xml |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 4df9f3cd646057511e73a0667957749b14cc32ba
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Sat Feb 19 16:02:02 2011 +0100

    reference: pygtk-gtkbutton.xml: add get_event_window() method

 docs/reference/pygtk-gtkbutton.xml |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit c6e4af8aa0a91f821ac37dd6a305b0670c5d6332
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 22:44:15 2011 +0100

    reference: pygtk-gtkbuilder.xml: add add_objects_from_file() and
    add_objects_from_string() methods (bug 642061)

 docs/reference/pygtk-gtkbuilder.xml |   95
 ++++++++++++++++++++++++++++++++++-
 1 files changed, 93 insertions(+), 2 deletions(-)

commit 6a66da995b110aff64ff6b92241cb4fa9478abe6
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 21:45:02 2011 +0100

    reference: pygtk-gtkbuilder.xml: update description

 docs/reference/pygtk-gtkbuilder.xml |  113
 +++++++++++++++++++++--------------
 1 files changed, 67 insertions(+), 46 deletions(-)

commit 36311cc930dbadfac4454a59e5f321dfdacb045b
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 17:36:45 2011 +0100

    reference: pygtk-gtk-classes.xml: correctly order gtkbuildable,
    gtkbuilder and gtkbutton

 docs/Makefile.am                     |    8 ++++----
 docs/reference/pygtk-gtk-classes.xml |    4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 42566c49987a2a7002b939b6d255e169e4c34126
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 15:45:03 2011 +0100

    reference: pygtk-gtkaccelgroup.xml: add missing properties

 docs/reference/pygtk-gtkaccelgroup.xml |   35
 ++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)

commit 677e946b19386aa118cf767edbbf7785c4bd6210
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 15:35:11 2011 +0100

    reference: pygtk-gtkaction.xml: add missing properties

 docs/reference/pygtk-gtkaction.xml |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit c803cbd3218e0a5e7646e4cd9d58753c27803219
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 15:04:01 2011 +0100

    reference: pygtk-gtkaboutdialog.xml: fix set_wrap_licence()
    wrap_licence parameter

 docs/reference/pygtk-gtkaboutdialog.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 808012591624995b7b435bab2f9384ab10bc755c
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 12:22:44 2011 +0100

    reference: pygtk-gtk-functions.xml: add gtk.set_interactive (bug
    619802)

 docs/reference/pygtk-gtk-functions.xml |   29
 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit 6e80b39976ee203ce39a210c86a2f12ee4502ce5
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 10:03:10 2011 +0100

    reference: pygtk-gtk-functions.xml: fix
    gtk.alternative_dialog_button_order links

 docs/reference/pygtk-gtk-functions.xml |    2 +-
 docs/reference/pygtk-gtkdialog.xml     |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e935a850d3cd32965238ee49fbf8ff68cfaa9d93
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 17:57:19 2011 +0100

    reference: pygtk-gtk-functions.xml: add remove_log_handlers and
    add_log_handlers to the "Miscellaneous Functions" list

 docs/reference/pygtk-gtk-functions.xml |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6e75320a88da29832b54da9f91ff8db2186a7c6b
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 09:01:14 2011 +0100

    reference: pygtk-introduction.xml: no need to use the introduction
    as a changelog

 docs/reference/pygtk-introduction.xml |  238
 ---------------------------------
 1 files changed, 0 insertions(+), 238 deletions(-)

commit 40ed3b036f654ff6c9ca597fb53bb830881b3758
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 08:48:28 2011 +0100

    reference: pygtk-introduction.xml: update to 2.24

 docs/reference/pygtk-introduction.xml |   25 +++++++++++--------------
 1 files changed, 11 insertions(+), 14 deletions(-)

commit 4982b4e2b7d22101f9ebf55ac50a403cb4c4f325
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 08:03:01 2011 +0100

    reference: pygtk-gtkdialog.xml: add get_widget_for_response method

 docs/reference/ChangeLog           |    1 +
 docs/reference/pygtk-gtkdialog.xml |  996
 +++++++++++++++++-------------------
 2 files changed, 466 insertions(+), 531 deletions(-)

commit a3be76ed8203fea5ee5695059a6d58582849c1a5
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:59:56 2011 +0100

    reference: pygtk-gtkcolorselectiondialog.xml: add missing properties

 docs/reference/ChangeLog                         |    1 +
 docs/reference/pygtk-gtkcolorselectiondialog.xml |  203
 ++++++++++++----------
 2 files changed, 115 insertions(+), 89 deletions(-)

commit c00167cb8fdd5325c18f595dc7e9cdea89f49b44
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:53:50 2011 +0100

    reference: pygtk-gtkcellrenderertoggle.xml: add missing methods

 docs/reference/ChangeLog                       |    1 +
 docs/reference/pygtk-gtkcellrenderertoggle.xml |  369
 +++++++++++++-----------
 2 files changed, 202 insertions(+), 168 deletions(-)

commit 9f9c949019922e94d6588c5d6d90c61c57ca9e80
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:47:40 2011 +0100

    reference: pygtk-gtkcellrenderer.xml: add missing property and methods

 docs/reference/ChangeLog                 |    1 +
 docs/reference/pygtk-gtkcellrenderer.xml | 1167
 +++++++++++++++++-------------
 2 files changed, 649 insertions(+), 519 deletions(-)

commit a8fa3bc6ec5c34ffe0b087d81c1ce5f0f81a5ee3
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:27:16 2011 +0100

    reference: pygtk-gtkcelleditable.xml: add missing "editing-canceled"
    property

 docs/reference/ChangeLog                 |    4 +
 docs/reference/pygtk-gtkcelleditable.xml |  176
 +++++++++++++++---------------
 2 files changed, 92 insertions(+), 88 deletions(-)

commit ddc90a0d2eb39435ba18f4d564893548f977907e
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:24:54 2011 +0100

    reference: pygtk-gtkbutton.xml: add missing (g|s)et_image_position
    methods

 docs/reference/ChangeLog           |    1 +
 docs/reference/pygtk-gtkbutton.xml |  191
 +++++++++++++++++++++---------------
 2 files changed, 115 insertions(+), 77 deletions(-)

commit 3fc5e316051e1cb5c1c6a4575b6ea4da5c993eb7
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:18:22 2011 +0100

    reference: pygtk-gtkassistant.xml: add new commit method

 docs/reference/ChangeLog              |    1 +
 docs/reference/pygtk-gtkassistant.xml |   27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+), 0 deletions(-)

commit 8d1ffdfbd40e54a8c8f4c717aaaff1b3cdeb66ca
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 08:04:18 2011 +0100

    reference: pygtk-gtkaction.xml: add new methods

 docs/reference/ChangeLog           |    1 +
 docs/reference/pygtk-gtkaction.xml |   64
 ++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+), 0 deletions(-)

commit b98c83f676d2523cb1f81e882012da4ec2e8c629
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:14:38 2011 +0100

    reference: pygtk-gtkaccessible.xml: add new methods

 docs/reference/ChangeLog               |    1 +
 docs/reference/pygtk-gtkaccessible.xml |   80
 +++++++++++++++++++++++++------
 2 files changed, 65 insertions(+), 16 deletions(-)

commit 4004143583d582dca822ba8a022468d686219554
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:11:56 2011 +0100

    reference: pygtk-gtkaboutdialog.xml: fix (s|g)et_name and
    (s|g)et_program_name.

 docs/reference/ChangeLog                |    4 +
 docs/reference/pygtk-gtkaboutdialog.xml |  147
 +++++++++++++++++--------------
 2 files changed, 84 insertions(+), 67 deletions(-)

commit 6460966f9ac904a48e5f4346e67b4ac6d5015b40
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:10:29 2011 +0100

    reference: pygtk-gtknotebook.xml: fix gtk.Notebook.page_num(child)
    documentation (bug 634563)

 docs/reference/ChangeLog             |    1 +
 docs/reference/pygtk-gtknotebook.xml |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 298787298cb9fbfc8bda88f812f305b577ea1341
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:10:07 2011 +0100

    reference: pygtk-gtktreestore.xml: fix implements section

 docs/reference/ChangeLog              |    1 +
 docs/reference/pygtk-gtktreestore.xml |    8 ++++----
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 1287e221916e3cdf806edac5b41187b0493d1fec
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 07:09:29 2011 +0100

    reference: pygtk-gtkliststore.xml: fix implements section (bug 634747)

 docs/reference/ChangeLog              |    4 ++++
 docs/reference/pygtk-gtkliststore.xml |   10 +++++-----
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 2a3f803ac0c6916b02d6e9da9b4eee71525d83d1
Author: John Stowers <john.stowers@gmail.com>
Date:   Tue Feb 22 09:23:31 2011 +1300

    Post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 18534d13560952c0821a045f04f5660534272147
Author: John Stowers <john.stowers@gmail.com>
Date:   Tue Feb 22 09:06:10 2011 +1300

    NEWS updates for 2.23.0

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b7da0c1a662049a60555851fd6901296941db645
Author: John Stowers <john.stowers@gmail.com>
Date:   Tue Feb 22 09:02:26 2011 +1300

    Add GTK-2.24 API

 NEWS                    |    1 +
 gtk/gtk-2.24-types.defs |    6 ++
 gtk/gtk-2.24.defs       |  132
 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 139 insertions(+), 0 deletions(-)

commit 51b811d93e097b90486a2e3e0a1751492b174192
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 22:04:08 2011 +0100

    NEWS: updates

 NEWS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 502c6269f3f3d4c67872b75ba3592eab1dae7cb7
Author: John Stowers <john.stowers@gmail.com>
Date:   Sat Feb 19 09:47:01 2011 +1300

    user-access-control is now set in setup.py

 README.win32 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a17c1f2445d558fdc632591a8947d615532c6f4f
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Feb 18 14:26:42 2011 +0100

    gtk.gdk.GC.set_clip_mask should accept None (bug 638994)

 gtk/gdk-base.defs |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b790e231a73414cfec713de816e03a2fb2645cf5
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Feb 16 17:10:59 2011 +0100

    gtk.AboutDialog.set_program_name() should accept None just like
    gtk.AboutDialog.set_name()

 gtk/gtk-2.12.defs |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d82023765f874731214cfe9fcd53edb8734d234b
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Feb 15 17:31:16 2011 +0100

    Add 'import pygtk; pygtk.require('2.0') statements where needed

 examples/atk/atk-demo.py                      |    2 ++
 examples/glade/autoconnect.py                 |    1 -
 examples/glade/glade-demo.py                  |    3 +++
 examples/gobject/editable-interface.py        |    2 ++
 examples/gobject/properties.py                |    2 ++
 examples/gobject/signal.py                    |    3 ++-
 examples/gtk/application.py                   |    2 ++
 examples/gtk/bin.py                           |    3 +++
 examples/gtk/customtreemodel.py               |    2 ++
 examples/gtk/mirror.py                        |    2 ++
 examples/gtk/scrollable.py                    |    2 ++
 examples/gtk/sizegroup.py                     |    2 ++
 examples/gtk/testprint.py                     |    3 +++
 examples/gtk/treeview_dnd.py                  |    2 ++
 examples/gtk/widget.py                        |    2 ++
 examples/ide/edit.py                          |    4 +++-
 examples/pango/pangocairo-simple.py           |    4 +++-
 examples/pango/utf8-demo.py                   |    2 ++
 examples/pygtk-demo/demos/appwindow.py        |    2 ++
 examples/pygtk-demo/demos/builder.py          |    2 ++
 examples/pygtk-demo/demos/buttonbox.py        |    2 ++
 examples/pygtk-demo/demos/changedisplay.py    |    2 ++
 examples/pygtk-demo/demos/colorsel.py         |    2 ++
 examples/pygtk-demo/demos/dialogs.py          |    2 ++
 examples/pygtk-demo/demos/dnd.py              |    2 ++
 examples/pygtk-demo/demos/editable_cells.py   |    2 ++
 examples/pygtk-demo/demos/entry_completion.py |    2 ++
 examples/pygtk-demo/demos/expander.py         |    2 ++
 examples/pygtk-demo/demos/hypertext.py        |    2 ++
 examples/pygtk-demo/demos/images.py           |    3 +++
 examples/pygtk-demo/demos/infobar.py          |    2 ++
 examples/pygtk-demo/demos/list_store.py       |    2 ++
 examples/pygtk-demo/demos/menu.py             |    2 ++
 examples/pygtk-demo/demos/panes.py            |    2 ++
 examples/pygtk-demo/demos/pixbufs.py          |    3 +++
 examples/pygtk-demo/demos/print_editor.py     |    3 +++
 examples/pygtk-demo/demos/sizegroup.py        |    2 ++
 examples/pygtk-demo/demos/spinner.py          |    2 ++
 examples/pygtk-demo/demos/statusicon.py       |    2 ++
 examples/pygtk-demo/demos/stock_browser.py    |    2 ++
 examples/pygtk-demo/demos/textscroll.py       |    2 ++
 examples/pygtk-demo/demos/textview.py         |    2 ++
 examples/pygtk-demo/demos/toolpalette.py      |    2 ++
 examples/pygtk-demo/demos/tooltip.py          |    2 ++
 examples/pygtk-demo/demos/tree_store.py       |    2 ++
 examples/pygtk-demo/demos/treemodel.py        |    2 ++
 examples/pygtk-demo/demos/ui_manager.py       |    2 ++
 examples/pygtk-demo/pygtk-demo.py             |    7 ++-----
 examples/simple/dnd.py                        |    2 ++
 examples/simple/hello.py                      |    2 ++
 examples/simple/scribble.py                   |    2 ++
 examples/simple/simple.py                     |    2 ++
 examples/simple/tooltip.py                    |    2 ++
 examples/threading/gtk_threading.py           |    2 ++
 setup.py                                      |    3 +++
 tests/common-windows.py                       |    2 ++
 tests/common.py                               |    2 ++
 57 files changed, 121 insertions(+), 9 deletions(-)

commit 0b535a9dbf5aa9c4095401d79f80e99c285a2313
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Sun Feb 6 17:10:35 2011 +0100

    setup.py: set user-access-control to auto in the options dict instead
    of relying on the build script to do it

 setup.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 06a3c22cf69af677b9f2da8b738aeff0f7ff65fd
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 09:53:03 2011 +0100

    examples: threading/gtk_threading.py: fix __gtype_name__

 examples/threading/gtk_threading.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 36f9d44b994567923a6ea73c2da37b095e3dcd1e
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 17 09:34:50 2011 +0100

    examples: gtk/treeview_dnd.py: comment the testing code specific to
    bug 637214

 examples/gtk/treeview_dnd.py |   21 +++++++++------------
 1 files changed, 9 insertions(+), 12 deletions(-)

commit 5b6d47ce087b972e500c908c68848bb472270ffa
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Mon Feb 7 19:12:20 2011 +0100

    Revert "Bug 613341 - pygobject tests seem to require pygtk causing
    a circular"

    This reverts commit 48f0a43f2faffee931ba419dac2687a93344bf5a.

 NEWS                     |    1 +
 tests/test_conversion.py |   17 --------------
 tests/test_enum.py       |   55
 +++++++++++++++++++++-------------------------
 3 files changed, 26 insertions(+), 47 deletions(-)

commit 81b0d867f184cbb9aa8ac9a68770fdb61af6d716
Author: John Stowers <john.stowers@gmail.com>
Date:   Fri Feb 4 09:40:08 2011 +1300

    NEWS Updates

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4cbd3c031289775f365c247f949d91facac4ba82
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Thu Feb 3 13:44:10 2011 +0100

    Fix pygtk_main_watch_check, copied from
    pygobject/glib/pygmainloop.c:pyg_signal_watch_check.
    Fixes bug 640738 and 638780.

 gtk/gtk.override |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit af6645a73a89c90fda9abf3fa1af27de2b439c2e
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Jan 12 11:37:39 2011 +0100

    setup.py: fix the provides keyword argument

 setup.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2c927347d02431a5558f7576c89d52205203f8a6
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Jan 12 11:16:38 2011 +0100

    setup.py: use the same spaces-less format for all setup() parameters

 setup.py |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit ac85914365497d79d3e0704c75c7d78d6b3d20e8
Author: John Stowers <john.stowers@gmail.com>
Date:   Sat Dec 25 00:04:01 2010 +1300

    Fix GtkPrintContext example, bug 637753

 docs/reference/pygtk-gtkprintcontext.xml |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit efb4f1169840bdd53d00eeb4540c5ae7903f1cce
Author: John Stowers <john.stowers@gmail.com>
Date:   Fri Dec 24 10:47:07 2010 +1300

    Add gtk-2.24 autotools support

 configure.ac            |   18 ++++++++++++++++++
 gtk/Makefile.am         |   12 ++++++++++++
 setup.py                |    3 +++
 3 files changed, 33 insertions(+), 0 deletions(-)

commit 8122275fc42eafc12d90b5c829f1708f50da27fb
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Dec 24 10:09:43 2010 +1300

    Fix GtkTreeView.set_drag_dest_row

	* Accept None as first argument
	* Add examples/gtk/treeview_dnd.py
	* Fixes bug 637214

 examples/gtk/treeview_dnd.py |  124
 ++++++++++++++++++++++++++++++++++++++++++
 gtk/gtktreeview.override     |   14 +++--
 2 files changed, 133 insertions(+), 5 deletions(-)

commit c5f0622b20c56988d369083cb822ab492269d6f9
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Fri Dec 24 10:04:56 2010 +1300

    Fix GtkAssistant.set_forward_page_func

	* Allow passing None to set default func.
	* Fixes bug 625603

 gtk/gtk.override |   24 +++++++++++++++---------
 1 files changed, 15 insertions(+), 9 deletions(-)

commit 828f3c430e535fae6e55a8e49ca0c7087b560ac2
Author: Mathias Doreille <doreille@smr.ch>
Date:	Fri Dec 24 09:58:30 2010 +1300

    Reference the surface in GtkPrintJob.get_surface

	* Fixes bug 532322

 gtk/gtkunixprint.override |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5eea5d244e7a69b517f08506e8c1950fb721d6f9
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Fri Dec 24 00:43:15 2010 +1300

    Add gtk threading example, bug 461551

 examples/threading/gtk_threading.py |	100
 +++++++++++++++++++++++++++++++++++
 1 files changed, 100 insertions(+), 0 deletions(-)

commit 93bb91eae76b162960c2c41b04aa3addeafb6763
Author: John Stowers <john.stowers@gmail.com>
Date:	Fri Dec 24 00:40:39 2010 +1300

    NEWS updates

 NEWS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit ff4f1b11482229107b46f8a4c60e991841c01825
Author: Rafael Villar Burke <pachi@rvburke.com>
Date:	Mon Dec 6 15:45:16 2010 +0100

    docs/reference/pygtk-gtkcontainer.xml: remove repeated word

 docs/reference/pygtk-gtkcontainer.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fa9d543c064f6535ee26c73fb40c3cce6d005ead
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Fri Nov 19 13:57:16 2010 +0100

    Remove the last reference to the pygtk.pth file.

 pygtk.spec.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 72d7d68546ae59fb215a0e018f8c812bdb80067b
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Thu Nov 4 11:18:01 2010 +0100

    setup.py: ease maintenance burden for tests installation

 setup.py |   28 +++-------------------------
 1 files changed, 3 insertions(+), 25 deletions(-)

commit 9c529bfae84f5318d1184d1050417f5482986044
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Thu Nov 4 10:29:25 2010 +0100

    setup.py: don't install pygtk.pth here as we depend on pygobject at
    runtime which is already resposible for the installation of pygtk.pth
    and pygtk.py[c]

 setup.py |   11 -----------
 1 files changed, 0 insertions(+), 11 deletions(-)

commit 4aad94e9d68375e62d385ffce1f062763710cf37
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 11:26:03 2010 +0100

    pygtk_postinstall.py: remove pygtk-2.0.pc treatment from postinstall
    as pkg-config on windows figures out the correct prefix at runtime

 pygtk_postinstall.py |   36 +++---------------------------------
 1 files changed, 3 insertions(+), 33 deletions(-)

commit 1b7915c3af591d2875d9865d87804fc8fe7d259d
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 11:24:32 2010 +0100

    pygtk_postinstall.py: remove shortcut creation

 pygtk_postinstall.py |   39 ---------------------------------------
 1 files changed, 0 insertions(+), 39 deletions(-)

commit 3f94211c9b43e30eaba67ce8f0cb9e42e07795fd
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 11:23:22 2010 +0100

    setup.py: formatting cleanup, makes things readable

 setup.py |   59
 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 29 insertions(+), 30 deletions(-)

commit c6feb046e3a9d457b6e8271fe025231bbcb278a9
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 11:20:46 2010 +0100

    setup.py: install documentation when available on build system

 setup.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 187bd1851987c1e98515f294610593c75aa577af
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 11:19:22 2010 +0100

    setup.py: correct metadata (url, provides, requires, ...)

 setup.py |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

commit 0c12da6608a47faa493ce7084cdf22c1a09f2a6b
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 11:09:54 2010 +0100

    setup.py: install included .defs files into DEFS_INCLUDE_DIR

 setup.py |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit e46b1bd5a931aa78421bb9063dcf971b0dc55e2f
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 10:59:37 2010 +0100

    setup.py: add NUMPY_INCLUDE dir to gtk.include_dirs

 setup.py |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 9d82336cc4cf4318519ddaefad83ec6ec50b40f9
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 10:57:49 2010 +0100

    setup.py: install tests

 setup.py		   |   48
 +++++++++++++++++++++++++++++++++++++++++++++
 tests/common-windows.py   |   23 +++++++++++++++++++++
 tests/runtests-windows.py |   39 ++++++++++++++++++++++++++++++++++++
 3 files changed, 110 insertions(+), 0 deletions(-)

commit 41c28bbc664efc3b3b1c7ab54d307d786d248f20
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 10:54:37 2010 +0100

    setup.py: rearrange constants

 setup.py |   58
 ++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 32 insertions(+), 26 deletions(-)

commit 9da28ecf9be7c40198eb900375dcae8c4085274d
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 10:50:56 2010 +0100

    setup.py: check python version, pygobject and pkgconfig availability
    before anything else

 setup.py |   34 +++++++++++++++++++++-------------
 1 files changed, 21 insertions(+), 13 deletions(-)

commit ad653fae4a03ecbffe24b33a6cabf11b3098888b
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 10:49:15 2010 +0100

    setup.py: simplify sys.platform != 'win32' detection and error
    reporting

 setup.py |   33 +++++++++++----------------------
 1 files changed, 11 insertions(+), 22 deletions(-)

commit 8bc2463cca8aea8cbd69895e37abb11cd616778b
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 10:47:00 2010 +0100

    setup.py: rearrange imports

 setup.py |   20 +++++++++++++++-----
 1 files changed, 15 insertions(+), 5 deletions(-)

commit 175b6ba7c8e446632541debfb7af3942bd1b60ec
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 10:44:55 2010 +0100

    README.win32: update build instructions

 README.win32 |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

commit bc7c054fbc792b5844b263c0529adab75f11ec2a
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	Wed Nov 3 10:43:14 2010 +0100

    Add distutils generated build/dist directories and eclipse
    configuration files to .gitignore

 .gitignore |	 7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit ef116ee617059897f905e0813eb0561e686f0ec4
Author: John Stowers <john.stowers@gmail.com>
Date:	Fri Oct 22 13:27:59 2010 +1300

    Shortcut removal is not needed on post-uninstall

 pygtk_postinstall.py |   16 +++-------------
 1 files changed, 3 insertions(+), 13 deletions(-)

commit 61e1ec89f84bc01c24fc861f3b0dce3355bf77a7
Author: John Stowers <john.stowers@gmail.com>
Date:	Thu Oct 21 13:24:43 2010 +1300

    Disable shortcut creation in windows installer

 pygtk_postinstall.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7dfe5ecbc91a6bfeb8796a95c53fabc99f76e712
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Oct 16 19:14:39 2010 +1300

    Build 2.22 API on windows

 setup.py |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 5681a821a6ab981e9e0f5d1bcec0abc830a0313e
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Oct 16 19:00:19 2010 +1300

    Dist all gtk defs on windows

 setup.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit e89fa3ce5a99aa2ed8ada7d3d545770357d52d45
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Oct 16 18:15:54 2010 +1300

    Require Python >= 2.6.0 for Windows build

 setup.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2a2e3bca8924fa0fbf7acc0a57523610f707d0da
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Oct 16 18:15:15 2010 +1300

    Fix build on windows

 setup.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 368c3a972b47b8fca5608e50a3c9024d158fcb10
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Oct 16 12:59:59 2010 +1300

    Fix response signal in pygtk-demo/print_editor

	* fixes bug 614720

 examples/pygtk-demo/demos/print_editor.py |	6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 3f0d8b9716deb2621f9aef2c81f156a03dfb3b57
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Oct 16 12:53:07 2010 +1300

    Add Offscreen Window (GtkMirrorBind) example

	* Shows a full container implementation in python
	* Shows how to poke non-wrappable APIs using ctypes
	* Fixes bug 607394

 examples/gtk/mirror.py |  328
 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 328 insertions(+), 0 deletions(-)

commit 56aa50322dee974298dc0dba61c8182f2495ff58
Author: Usmar A Padow <usmpadow@yahoo.com>
Date:	Sat Oct 16 12:31:24 2010 +1300

    Add updated gtk.Toolbar example, bug 597784

 examples/gtk/toolbar.py |   55
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 55 insertions(+), 0 deletions(-)

commit db1ac530d6596c46c9cdaafbc2beb92697563abe
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Oct 16 12:15:43 2010 +1300

    Print gtk/pygtk version when running pygtk-demo

 examples/pygtk-demo/pygtk-demo.py |	5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit be609e744ee47b117ced07f234262e4032658050
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:	Fri Oct 15 09:26:24 2010 +1300

    Bind nsview/nswindow attributes

 gtk/gdk-base-types.defs |    2 ++
 gtk/gdk.override	 |   28 ++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+), 0 deletions(-)

commit 75d0ac7f07c71981b7e9a6cfc5f4f9a422842451
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Oct 2 15:27:52 2010 +1300

    Add myself to MAINTAINERS, AUTHORS

 AUTHORS     |	  1 +
 MAINTAINERS |	  4 ++++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 22eab483d430e3fb5922edf4ab24fe6ed3590e7f
Author: Behnam Esfahbod ZWNJ <behnam@zwnj.org>
Date:	Sun Sep 26 01:25:02 2010 +0330

    Replace NotImplemented with NotImplementedError

 examples/gtk/application.py |	 10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 765d7baf517a5b197faa741211f86b25d42230b5
Author: John Stowers <john.stowers@gmail.com>
Date:	Tue Sep 28 10:59:48 2010 +1300

    Post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 31e5f90553a5f3597f409fa330739f0db0b393e1
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Sep 25 10:12:21 2010 +1200

    Release 2.22.0

 NEWS	      |    5 +++++
 configure.ac |    4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 626a5063ae5533c2f88864823ff783d03deb8099
Author: John Stowers <john.stowers@gmail.com>
Date:	Fri Sep 24 21:28:02 2010 +1200

    Wrap the final Gtk-2.22 API additions

 configure.ac	   |	2 +-
 gtk/gtk-2.22.defs |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 1 deletions(-)

commit 995866a2094861aac2fb766e2bef21a818c954b9
Author: John Stowers <john.stowers@gmail.com>
Date:	Fri Sep 24 21:26:34 2010 +1200

    Add forgotten defs: Gdk-2.22

 gtk/gdk-2.22.defs |  324
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 324 insertions(+), 0 deletions(-)

commit 609bb94a1669260d01473543e9a760a207248ff4
Author: John Stowers <john.stowers@gmail.com>
Date:	Fri Sep 24 21:26:14 2010 +1200

    Add forgotten defs: Gdk-2.18

 gtk/gdk-2.18.defs |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 006ac0efa4259b189c20981b733f270391da0e5b
Author: Rafael Villar Burke <pachi@rvburke.com>
Date:	Fri Sep 10 10:44:45 2010 +0200

    2010-09-10	Rafael Villar Burke  <pachi@rvburke.com>

		* pygtk-gtkcurve.xml: fix swapped get_vector/set_vector
		names

 docs/reference/ChangeLog	   |	4 ++++
 docs/reference/pygtk-gtkcurve.xml |	4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 57ab79145b8b9a38329460d27ddd512e7bc584ea
Author: Chenthill <pchen@gnome.org>
Date:	Thu Aug 12 23:04:13 2010 +1200

    Bug 626375 - Fix build with Python 2.5

 gtk/gtk.override |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 49ebaca3a8fb16738e6e20f26c7ab9fd58d25e6e
Author: John Stowers <john.stowers@gmail.com>
Date:	Sun Aug 8 23:26:32 2010 +1200

    Post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0bea1085f6d6cba77073872ad5599425069f0840
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Aug 7 23:46:46 2010 +1200

    Require PyGObject 2.21.3 now that sinkfunc registration is gone

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit af11030c13e2d2b15f347b62139b63cab6c77393
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Aug 7 16:02:22 2010 +1200

    Really set version to 2.21.0

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a9e24426aae96e5968b95ef76aacf41d3153ddf7
Author: Colin Walters <walters@verbum.org>
Date:	Fri Jul 30 10:23:56 2010 -0400

    [pygtk-2.0.pc] Should require gtk+-2.0

    https://bugzilla.redhat.com/show_bug.cgi?id=618944

 pygtk-2.0.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0d788158d897d05bb53a92f49aef82132f2e8c3c
Author: Colin Walters <walters@verbum.org>
Date:	Tue Jul 20 10:06:05 2010 -0400

    Remove deprecated sink functions

    This is handled automatically now; see commit 00a85f6a844714d1
    in pygobject.

    https://bugzilla.gnome.org/show_bug.cgi?id=624834

 gtk/gtkmodule.c |   30 ------------------------------
 1 files changed, 0 insertions(+), 30 deletions(-)

commit 65c125a537ee68f07021e546d75e899c17c0ab46
Author: John Stowers <john.stowers@gmail.com>
Date:	Mon Jul 12 15:26:52 2010 +1200

    NEWS updates

 NEWS |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit c81821811783352c64530ad07ee9ff60aef88bec
Author: John Stowers <john.stowers@gmail.com>
Date:	Mon Jul 12 15:15:04 2010 +1200

    Add Gtk-2.22 API (new accessors)

 configure.ac		 |   18 ++++++
 gtk/Makefile.am	 |   12 ++++
 gtk/gtk-2.22.defs	 |  145
 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 175 insertions(+), 0 deletions(-)

commit 07aa93061e989566484d984bf76d5a37c278003f
Author: John Stowers <john.stowers@gmail.com>
Date:	Mon Jul 12 15:18:05 2010 +1200

    Add forgotten defs: Gtk-2.20

 gtk/gtk-2.20.defs |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit e2c32bbdbb557689f37c8d81f22f0271afcc0b2e
Author: John Stowers <john.stowers@gmail.com>
Date:	Mon Jul 12 15:17:58 2010 +1200

    Add forgotten defs: Gtk-2.16

 gtk/gtk-2.16.defs |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 4dccfded878bfd0b56afbdfe51ccc0edd36f251d
Author: John Stowers <john.stowers@gmail.com>
Date:	Mon Jul 12 15:17:44 2010 +1200

    Add forgotten defs: Gtk-2.14

 gtk/gtk-2.14.defs |   27 +++++++++++++++++++++++++--
 1 files changed, 25 insertions(+), 2 deletions(-)

commit 5874abd82b18de3b69da2734ff35ed162a91d417
Author: John Stowers <john.stowers@gmail.com>
Date:	Mon Jul 12 15:17:36 2010 +1200

    Add forgotten defs: Gtk-2.12

 gtk/gtk-2.12.defs |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 088ff0490a0fa05a31c4840dad189c913e7ab91b
Author: John Stowers <john.stowers@gmail.com>
Date:	Fri Jul 9 13:43:11 2010 +1200

    Add new Gtk-2.20 API

	* Notably this adds GtkSpinner, GtkOffscreenWindow,
	  GtkCellRendererSpinner, GtkToolPalette objects
	* Add new api to other objects
	* Add gtk.ToolbarPalette demo
	* Add gtk.Spinner demo

 configure.ac				  |   18 +
 examples/pygtk-demo/demos/spinner.py	  |   63 +++
 examples/pygtk-demo/demos/toolpalette.py |  111 +++++
 gtk/Makefile.am			  |   15 +-
 gtk/gdk-2.20.defs			  |   30 ++
 gtk/gtk-2.20-types.defs		  |   50 +++
 gtk/gtk-2.20.defs			  |  699
 ++++++++++++++++++++++++++++++
 gtk/gtkunixprint-2.20.defs		  |   14 +
 setup.py				  |    3 +
 9 files changed, 1002 insertions(+), 1 deletions(-)

commit 6d6e8b0864c5ac6470e258d20edd09a0fd07952a
Author: John Stowers <john.stowers@gmail.com>
Date:	Fri Jul 9 14:21:19 2010 +1200

    Add forgotten deprecated note to gtk_draw_check

 gtk/gtk-base.defs |	1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 099b50a7bed146b289e71fe955d70ead89a54b2f
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat Jun 19 14:40:49 2010 +1200

    Fix autotools conditionals

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit a744feaed3dd56c85ac730f5114ff705c8bd067a
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat May 8 12:14:59 2010 +1200

    Add a gtk.InfoBar demo

 examples/Makefile.am		      |    3 +-
 examples/pygtk-demo/demos/infobar.py |   87
 ++++++++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+), 1 deletions(-)

commit f0d8199252e79e5e257b0b92c2ecf3f92afc7ea1
Author: John Stowers <john.stowers@gmail.com>
Date:	Sat May 8 10:59:22 2010 +1200

    Bug 589671 - Fix setup.py for windows build

    reduce the number of build combinations, by making more
    dependencies compulsory. Experienced hackers will know how to
    change this anyway.

    This means atk,pango,pangocairo, pycairo and gtk are
    explicitly compulsory.

    Only libglade and numpy support is optional now

 README.win32 |   10 ++++++----
 setup.py     |   50 ++++++++++++++++++++++++++++----------------------
 2 files changed, 34 insertions(+), 26 deletions(-)

commit f4cc1453896a891b8197a4ddbc1b7b9706c86996
Author: Philippe Normand <phil@base-art.net>
Date:	Thu Feb 25 10:54:18 2010 +0100

    gtk_main: fixed use of Python's SetWakeupFD API

    I backported the last patch from Bug 481569.

 gtk/gtk.override |  114
 ++++++++++++++++++++++++++---------------------------
 1 files changed, 56 insertions(+), 58 deletions(-)

commit fd242b0e39985ef4f1d2ef0b773c4d451e789ca0
Author: John Stowers <john.stowers@gmail.com>
Date:	Fri Apr 16 14:40:24 2010 +1200

    Add build docs for windows

 Makefile.am  |    1 +
 README.win32 |   24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+), 0 deletions(-)

commit cd96aceda6f54dbceb7b64d6365fc1848eee52d1
Author: John Stowers <john.stowers@gmail.com>
Date:	Thu Apr 15 13:40:26 2010 +1200

    Setup.py cosmetic tidy

	 * Remove local doc install, point to website instead
	 * link to versioned docs

 pygtk_postinstall.py |   68
 +++++++++++++++++--------------------------------
 setup.py	      |   15 ++---------
 2 files changed, 27 insertions(+), 56 deletions(-)

commit aff0e473f4cb018d700a2481eacadd78e2fd0bee
Author: John Stowers <john.stowers@gmail.com>
Date:	Thu Apr 15 23:25:31 2010 +1200

    Bug 589671 - Fix setup.py for windows build

     * make pycairo compulsory
     * simplify setup.py using new dsextras
     * add 2.18 API

 pygtk_postinstall.py |    2 +-
 setup.py	      |  130
 ++++++++++++++++++++++++++++---------------------
 2 files changed, 75 insertions(+), 57 deletions(-)

commit c4d230db44993dde645a1cbcb1026845d8a8ef4b
Author: Nils Philippsen <nils@redhat.com>
Date:	Tue Apr 13 12:15:39 2010 +0200

    Fix gtk.Widget.get_window() docs

    Returns gtk.gdk.Window, not gtk.Window.

 docs/reference/pygtk-gtkwidget.xml |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f235ba1cd57ec3d4b3139f91b9043b90a913df62
Author: Rafael Villar Burke <pachi@rvburke.com>
Date:	Fri Apr 9 13:00:42 2010 +0200

    2010-04-09	Rafael Villar Burke  <pachi@rvburke.com>

	Bug 615270 - Website typo in docs for gtk.Buildable

		* pygtk-gtkbuildable.xml: fix a small typo in class name.

 docs/reference/ChangeLog	       |   22 ++++++++++++++--------
 docs/reference/pygtk-gtkbuildable.xml |    2 +-
 2 files changed, 15 insertions(+), 9 deletions(-)

commit f8a650240055abbb9ebbe493f02214c9ca574a74
Author: Paul Bolle <pebolle@tiscali.nl>
Date:	Thu Apr 8 10:51:44 2010 +0200

    Drop a few uses of TRUE and FALSE from docs

    Let's use True and False. Related cleanups.

    Signed-off-by: Paul Bolle <pebolle@tiscali.nl>

 docs/reference/pygtk-gdkkeymap.xml   |    2 +-
 docs/reference/pygtk-gtksettings.xml |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 17297a6dbcc8786cff4a130a1c881d95994eaec5
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Tue Apr 6 21:33:41 2010 +0200

    Version bump to 2.17.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 864f03f64b531a1abb69531f8481d5b2791d04c3
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Tue Apr 6 21:27:59 2010 +0200

    Manually wrap gtk.Clipboard.wait_for_uris

 gtk/gtk.override |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit d8007ffa9f86023f64852c1d3a375d2255a760e3
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Mon Apr 5 22:26:23 2010 +0200

    Manually wrap GtkWidget.set_allocation

 gtk/gtk.override |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit a6c70981f84b0e8f24d004c6bd87c821e960cb67
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Mon Apr 5 22:04:53 2010 +0200

    Manually wrap GtkCellRenderer.get_alignment and
    GtkCellRenderer.get_padding

 gtk/gtk.override |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit b7ac3513997ad7c561bb830341e96db1bc9d529a
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Mon Apr 5 20:54:16 2010 +0200

    Move some tests from pygobject since they require gtk

 test_gtype.py	 |  112 +++++++++++++++++++++
 test_subtype.py |  289
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 401 insertions(+), 0 deletions(-)

commit 48f0a43f2faffee931ba419dac2687a93344bf5a
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Mon Apr 5 18:12:05 2010 +0200

    Bug 613341 - pygobject tests seem to require pygtk causing a circular
    dependencies problem

    move tests that require pygtk from pygobject to pygtk itself

 tests/test_conversion.py |   17 ++++++++++++++
 tests/test_enum.py	  |   55
 +++++++++++++++++++++++++---------------------
 2 files changed, 47 insertions(+), 25 deletions(-)

commit 45e22a4ad1bf91e3d4cc370923d257f4559c7bd2
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Apr 4 21:45:31 2010 +0200

    Manually wrap gtk_hsv_to_rgb() and fix a mistake in previous manual
    wraps.

 gtk/gtk.override |   26 ++++++++++++++++++++------
 1 files changed, 20 insertions(+), 6 deletions(-)

commit 6406e8d95927107e9de667773b8d89737f7ff7d9
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Apr 4 21:32:41 2010 +0200

    Manually wrap gtk_hsv_get_metrics()

 gtk/gtk.override |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit dba6ecbd31e94c8846cf235acceb58d495b79b5f
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Apr 4 21:31:44 2010 +0200

    Manually wrap gtk_hsv_get_color()

 gtk/gtk.override |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit f8b45bfb26350d4b5a092ff4be13d9c65611c2ae
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sat Apr 3 15:21:02 2010 +0200

    Bug 614697 - GtkHSV is not wrapped

    Methods and functions need manual wrapping though

 gtk/gtk-2.18-types.defs |    6 +++
 gtk/gtk-2.18.defs	 |   89
 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+), 0 deletions(-)

commit b165fc8d1c50eab7e0244968f935757d46d6b0eb
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Wed Mar 10 00:52:28 2010 +0200

    Make it possible to implement gtk.TreeSortable fully

    Based on what Py-gtktree does with its 'c_hacks' module.  Finishes
    work started in commit 6cf7a903846dd3210dd9e0070779dd448f85207a.

 gtk/gtktreeview.override |  230
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 230 insertions(+), 0 deletions(-)

commit 1a523dcca62d6ad2f8fcbad79a9ee846c40e3147
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Tue Jan 5 10:20:21 2010 +0100

    Wrap gtk.Printer.list_papers()

 gtk/gtkunixprint.override |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 90682a0f61ffad9fbf3e52b73c0b3fdd79466944
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Tue Jan 5 09:11:21 2010 +0100

    Wrap gtk.gdk.pixbuf_new_from_stream[at_scale] forgotten in 2.14

 gtk/gdk-2.14.defs |   26 ++++++++++++++++++++++++++
 gtk/gdk.override  |	2 ++
 2 files changed, 28 insertions(+), 0 deletions(-)

commit 68763a97385dd74ccd12ef4decd662de9dd2c2ab
Author: Javier Jardón <jjardon@gnome.org>
Date:	Wed Dec 23 18:12:30 2009 +0100

    Remove deprecated GTK+ symbols

    https://bugzilla.gnome.org/show_bug.cgi?id=605318

 gtk/gdk-base.defs	|    2 +-
 gtk/gdk.override	|   16 ++++++++--------
 gtk/gdkgc.override	|    2 +-
 gtk/gdkpixbuf.override |    2 +-
 gtk/gtk-types.c	|   20 ++++++++++----------
 gtk/gtkmodule.c	|    3 +--
 6 files changed, 22 insertions(+), 23 deletions(-)

commit e378678e7857ed29e4ec4482f7b40eb4bf582592
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sat Dec 26 18:25:11 2009 +0100

    Update NEWS and README, release PyGTK 2.17.0

 NEWS	|   11 +++++++++++
 README |    8 +-------
 2 files changed, 12 insertions(+), 7 deletions(-)

commit 0204a20584aad629a08c879537156b32478589a6
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Fri Dec 25 18:42:16 2009 +0100

    Bug 603785 - Documentation of GDK Window Type Hint Constants
    incomplete

 docs/reference/pygtk-gdk-constants.xml |   36
 ++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit 935ee3d0f28e3527812e95fd98bd7d1c6eb74a82
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Fri Dec 25 18:36:29 2009 +0100

    Bug 595824 - gtk.Style.lookup_color missing in documentation

 docs/reference/pygtk-gtkstyle.xml |   35
 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)

commit b120b39b6e6babf59f017cd4e2da3c9cbb809389
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Dec 20 23:21:39 2009 +0100

    Bug 594621 - Broken link

    Fix a broken link to the tutorial

 docs/reference/pygtk-gtkdrawingarea.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 930343b432bb83ea595503bfe2e79dc80d45c89f
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Dec 20 22:46:30 2009 +0100

    Comment out a gdk test for now, needs investigating

 tests/test_gdk.py |	8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 4aade731a77b06eb1db8f1023b0b8c4cdfc7f1fc
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Thu Dec 17 23:21:27 2009 +0100

    Wrap new API added in GTK/GDK 2.18

 configure.ac		 |   17 ++
 gtk/Makefile.am	 |   12 +
 gtk/gdk-2.18.defs	 |   95 +++++++
 gtk/gdkcairo.override	 |   20 ++
 gtk/gtk-2.18-types.defs |   17 ++
 gtk/gtk-2.18.defs	 |  675
 +++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 836 insertions(+), 0 deletions(-)

commit af1d9ead15a89292168b44a9280a61fed4181706
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Wed Dec 16 00:22:29 2009 +0100

    Release version bump to 2.17.0

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f3691203d7405f400a2a731cb4f0ae76488c11ad
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Tue Nov 24 23:34:08 2009 +0200

    Release GIL in several gdk.Pixbuf methods

    Bug #591726.

 gtk/gdk-base.defs |	8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 192b839640b1681703333da9a76c2e0d2bade9cb
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Fri Nov 13 21:05:51 2009 +0200

    Fix just added override for gtk.TreeSortable.do_get_sorted_column_id

 gtk/gtktreeview.override |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 6cf7a903846dd3210dd9e0070779dd448f85207a
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Fri Nov 13 00:13:40 2009 +0200

    Make it possible to implement gtk.TreeSortable to some extent

    Based on what Py-gtktree does with its 'c_hacks' module.  Incomplete.

 gtk/gtk-base-types.defs  |    9 +++++
 gtk/gtktreeview.override |   85
 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+), 0 deletions(-)

commit 1a7ba37085c64eeabab2fd0270df60743262e059
Author: Arun Raghavan <ford_prefect@gentoo.org>
Date:	Sat Oct 31 22:59:01 2009 +0200

    Fix wrong gtk.gdk.color_from_hsv definition

    Bug #594347.

 gtk/gdkcolor.override |    2 +-
 tests/test_color.py   |    6 ++++++
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 482313729f53f417eeb3f8b89268599fee15cba1
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sat Oct 31 22:49:21 2009 +0200

    Plug memory leaks in a few Pango Cairo functions

    Bug #599730.

 pangocairo.defs |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 3fb3606d803b49e30f4fd492a61f685d6c1540ac
Author: Benjamin Berg <benjamin@sipsolutions.net>
Date:	Tue Oct 6 21:46:44 2009 +0300

    Plug a huge leak in gtk.Widget.get_snapshot()

    Bug #596612.

 gtk/gtk-2.14.defs |	1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1d6c59e7aa15170bbaecfeafc3da0a82f2753049
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sun Sep 13 21:43:06 2009 +0300

    Undeprecate gtk.Toolbar.(un)set_icon_size() again

    This was done in the source code a while ago; see GTK+ for rationale.

 docs/reference/pygtk-gtktoolbar.xml |	  8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit 72ed997436790194f0331ea7bc25a4312e9f9072
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Aug 23 19:01:27 2009 +0200

    Update NEWS, release PyGTK 2.16.0

 NEWS |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit 20506cb86533272acc2a7a3a905122fe76f506f2
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Aug 23 18:50:55 2009 +0200

    Release version bump to 2.16.0

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6722d7038bb0bf7f5e7d6e7152ad12251a570afc
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Aug 23 18:18:39 2009 +0200

    Add new properties and signals of gtk.Entry added in 2.16

 docs/reference/pygtk-gtkentry.xml |  398
 ++++++++++++++++++++++++++++++++++++-
 1 files changed, 397 insertions(+), 1 deletions(-)

commit 7b579070e334e0c0d75a764a1ccb5955f6ebfa2a
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sat Aug 22 22:57:10 2009 +0200

    Bug 567350 -  Fixed incoherence in gtk.Dialog documentation.

    Add an example in gtk.Dialog class reference.

 docs/reference/pygtk-gtkdialog.xml |	24 ++++++++++++++++++++++--
 1 files changed, 22 insertions(+), 2 deletions(-)

commit a95ef503f77d6812528049e837d12f6cee7e9ef8
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sat Aug 22 22:23:37 2009 +0200

    Bug 590948 - Adding information about Reference
    gtk.Widget.set_tooltip_window

    Add a clarification on the usage

 docs/reference/pygtk-gtkwidget.xml |	 9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit ce052210835c7bf16791f4eda6ca84981b897ccd
Author: Paolo Borelli <pborelli@gnome.org>
Date:	Thu Aug 13 21:32:56 2009 +0200

    Allow to use automake 1.11

 autogen.sh |	13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 8589d67f2efbf72b4eecc83de4efcc06dacc3f8b
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Thu Aug 13 17:33:49 2009 +0200

    Update docs for class gtk.Dialog

 docs/reference/pygtk-gtkdialog.xml |	 9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 05081bbd93374d121e4b11e44e474fff6ff026b1
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Thu Aug 13 17:33:20 2009 +0200

    Add a note on the new property added in GTK+ 2.16

 docs/reference/pygtk-gtkactivatable.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8a17bc206ec0dafaa78af429489be94725cbace8
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Thu Aug 13 17:27:40 2009 +0200

    Update docs for class gtk.CellView

 docs/reference/pygtk-gtkcellview.xml |   45
 ++++++++++++++++++++++++++++-----
 1 files changed, 38 insertions(+), 7 deletions(-)

commit 6df9c85c2ab6bcbdeacde2f127e769905b67d95b
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Thu Aug 13 17:05:53 2009 +0200

    Add docs for the new class gtk.Activatable

 docs/Makefile.am			 |   14 +-
 docs/reference/pygtk-gtk-classes.xml	 |    1 +
 docs/reference/pygtk-gtkactivatable.xml |  351
 +++++++++++++++++++++++++++++++
 3 files changed, 360 insertions(+), 6 deletions(-)

commit 15c9a8ab537300e24eda750f70ca83500cbcae56
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Thu Aug 13 00:54:13 2009 +0200

    Add myself and Paul as maintainers

 AUTHORS     |	 20 ++++++++++++--------
 MAINTAINERS |	  8 ++++++++
 README      |	  8 ++++++--
 pygtk.doap  |	 14 ++++++++++++++
 4 files changed, 40 insertions(+), 10 deletions(-)

commit ed516297b7cddcce4c0ec211b3bb8b6ee9cfad8b
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Wed Aug 12 21:34:36 2009 +0200

    Remove compiler warnings

    make the compiler not complaining about strings not properly formatted

 gtk/gtk.override |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e6aa5ed1eace5850188375d691f6b62ba662850e
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sat Aug 8 23:30:39 2009 +0300

    Add gtk.gdk.CURRENT_TIME constant

    Pointed out in bug #590642.

 gtk/gtkmodule.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit b362faa415d4ba277385cbe8492088d4dee6ddce
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sat Aug 8 21:20:00 2009 +0200

    Bug 590960 – Incorrect heading for gtk.CellRendererCombo's
    "changed" signal

    Docs Fixed

 docs/reference/pygtk-gtkcellrenderercombo.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0d46edecfa3b8027748d681ed8c0ff63b58f7b3c
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Tue Jul 28 23:33:10 2009 +0200

    Bug 590022 – Paned: props "max-position" and "min-position"
    not writable

 docs/reference/pygtk-gtkpaned.xml |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 21ce97546c074053bfdc032de3d1177da68415b6
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sat Jul 25 20:41:50 2009 +0200

    Bug 589701 – gtk.IMContext().set_client_window() does not accept
    None
    as a valid parameter

    accept None for gdkwindow

 gtk/gtk-base.defs |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4656581ef3cbfcf0af421e85156f6c1d40631b7b
Author: Johan Dahlin <johan@gnome.org>
Date:	Fri Jul 24 14:33:33 2009 -0300

    Remove myself as a maintainer

 MAINTAINERS |	  4 ----
 pygtk.doap  |	  7 -------
 2 files changed, 0 insertions(+), 11 deletions(-)

commit ca098328aaf0e3f48ddb08a24b58391e42484837
Author: John Finlay <finlay@moeraki.com>
Date:	Mon Jul 20 00:27:12 2009 -0700

    Reword the description of the use of the new_order list in the
    gtk.TreeModel.rows_reordered, gtk.TreeStore.reorder and
    gtk.ListStore.reorder
    methods.

 docs/reference/pygtk-gtkliststore.xml |   26 ++++++++++++++++++--------
 docs/reference/pygtk-gtktreemodel.xml |   33
 +++++++++++++++++++--------------
 docs/reference/pygtk-gtktreestore.xml |   24 ++++++++++++++++--------
 3 files changed, 53 insertions(+), 30 deletions(-)

commit 5e4d735e8db6053cc8aa84e0cbaaf239754395a6
Author: Pietro Battiston <toobaz@email.it>
Date:	Thu Jul 16 19:13:19 2009 +0200

    Fixed invocation of FileChooserDialog in print-editor demo

 examples/pygtk-demo/demos/print_editor.py |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 13f3e39cb542fa681c5784c077765dc6c254e3f3
Author: John Finlay <finlay@moeraki.com>
Date:	Fri Jul 17 04:01:08 2009 -0700

    Fix arg parsing format typo for gtk_toggle_button_new.

 gtk/gtk.override |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 167644f92834ba1496fc3c61ce5b59c92195daf6
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Tue Jul 14 02:03:26 2009 +0200

    Bug 588466 – Does not include gtk-2.16-types.defs

 gtk/gtk-2.16.defs |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 30673b7faf366676f5569f8502c187a7cc8acef1
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Tue Jul 14 02:02:25 2009 +0200

    Add 2.16 defs files to EXTRA_DIST and generated files to CLEANFILES

 gtk/Makefile.am |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)

commit 4566a076486f0e3b610e6597ecf3b2d10df0ac55
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Jul 5 11:04:30 2009 +0200

    Update docs for gtk.Action class

    Reorder the index alphabetically and add API new in GTK+ 2.16

 docs/reference/pygtk-gtkaction.xml | 1338
 ++++++++++++++++++++++++++----------
 1 files changed, 968 insertions(+), 370 deletions(-)

commit 3df3b3894626d63c951b833b0a94a16edbaf44f8
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Jun 21 10:30:41 2009 +0200

    Update NEWS with one last minute change and really release
    PyGTK-2.15.2

 NEWS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 6562cd8fb5e0d930463c98ab29a209bd33db7f60
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sat Jun 20 22:46:19 2009 +0300

    Add backward compatibility to gtk.gdk.Pixbuf.add_alpha

    Accept chars in addition to integers to avoid breaking existing uses.
    Noticed while testing bug #583658.

 gtk/gdkpixbuf.override |   39 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)

commit 727ce3bc0050ac5021a1b824e17c8443f385fbc0
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sat Jun 20 10:30:36 2009 +0200

    Update NEWS, release PyGTK-2.15.2

 NEWS |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit ae3d093c4d97114d2a632193792f28470d51da07
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sat Jun 20 00:17:09 2009 +0200

    pango.Context is now instantiable, remove the test

 tests/test_pango.py |	  5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 3c400cf3b775b0fe0fd32b0e680afb3123a1f5c6
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sat May 2 18:38:10 2009 +0300

    Rename gtk.Statusbar.remove() to gtk.Statusbar.remove_message()

    Avoids hiding gtk.Container method with the same name.  It is still
    possible to use remove() to operate on messages, but in this case
    there will be a deprecation warning.  Fixes bug #564587.

 docs/reference/pygtk-gtkstatusbar.xml |   35 +++++++++++++++---
 gtk/Makefile.am		       |    1 +
 gtk/gtk-base.defs		       |   13 +++++++
 gtk/gtk.override		       |    1 +
 gtk/gtkstatusbar.override	       |   65
 +++++++++++++++++++++++++++++++++
 5 files changed, 110 insertions(+), 5 deletions(-)

commit 8383c5ef563e9fae6d13d026402776210ed5e90e
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Thu Jun 18 23:19:05 2009 +0300

    Allow pango.Context creation

    Wrap and document pango.Context constructor, set_font_map() and
    pango.FontMap.create_context() methods.  Bug #550855.

 docs/reference/pygtk-pangocontext.xml |   88
 +++++++++++++++++++++++++++++++++
 docs/reference/pygtk-pangofontmap.xml |   38 ++++++++++++++
 pango.defs			       |    7 +++
 pango.override			       |    9 ---
 4 files changed, 133 insertions(+), 9 deletions(-)

commit 9a7cd2f9654680b74d2795b94f47da5b8c82243c
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Thu Jun 18 13:17:12 2009 +0200

    Bug 586217 – gtk.gdk.2BUTTON_PRESS should be gtk.gdk._2BUTTON_PRESS
    in docs

 docs/reference/pygtk-gdkevent.xml |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 88dfa818d5ccc4f9d570f94eea6f14814cd67ace
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Thu Jun 18 01:06:28 2009 +0300

    Make gtk.gdk.Pixbuf.add_alpha accept integers, not strings

    Bug #586094.

 gtk/gdk-base.defs |	8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit e955848c108b37fea4825c3ca539e931b87e6bca
Author: Gustavo Carneiro <gjc@inescporto.pt>
Date:	Thu Jun 18 00:26:25 2009 +0300

    Protect window objects from GC in gtk.window_get_toplevels()

    Fixes bug #574259.

 gtk/gtkwindow.override |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit fdbda760740db172f8ea36f13563d895fbd00343
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Mon Jun 15 21:44:51 2009 +0300

    Plug huge number of memory leaks in Pango wrappers

    Also hopefully fixes bug #583658.

 pango.defs |	27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit 35ffbf91536c3005b9d5b7e234c716e4ed173e8b
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Wed Jun 17 23:57:44 2009 +0300

    Add gtk.gdk.WINDOWING constant

    Value is determined using GDK_WINDOWING_* C macros.  Add
    documentation.  Suggested in bug #555112.

 docs/reference/pygtk-gdk-constants.xml |   48
 ++++++++++++++++++++++++++++++++
 gtk/gtkmodule.c			|   12 ++++++++
 2 files changed, 60 insertions(+), 0 deletions(-)

commit 2cbe29235d28a87d0d7faa6a18ada322867e6c63
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sun Jun 14 11:47:12 2009 +0200

    Add docs for gtk.gdk.Pixbuf.apply_embedded_orientation

 docs/reference/pygtk-gdkpixbuf.xml |	36
 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit 6e94f5240496a9587d478bb7be5ccc71ba0680e8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:	Tue Apr 28 13:06:39 2009 +0100

    Wrap gdk_pixbuf_apply_embedded_orientation

 gtk/gdk-base.defs |	7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit fbb3e653ab1c4f467d7aae61e8444fab8c839af1
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sun May 31 19:10:08 2009 +0300

    Modernize constructors of seven more types

    Make and/or just mark constructors of gtk.ImageMenuItem,
    gtk.LinkButton, gtk.TreeViewColumn, gtk.ListStore, gtk.TreeStore,
    gtk.TextMark and gtk.MountOperation new-style.  Part of bug #583777.

 gtk/gtk-2.10.defs	  |    6 +++---
 gtk/gtk-2.12.defs	  |    6 +++---
 gtk/gtk-2.14.defs	  |    4 ++--
 gtk/gtk.override	  |   22 ++++++++++------------
 gtk/gtktreeview.override |   27 ++++++++++++++++-----------
 5 files changed, 34 insertions(+), 31 deletions(-)

commit 956592c614c567623510dccf5fc1edaee9c766c1
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Thu Jun 11 21:53:51 2009 +0300

    Don't free a string we don't own

    Fixes bug #585458.

 gtk/gtk.override |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit c7dcdb4ba2ff55584a4ae92160badb44dc375b1e
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Mon May 25 00:32:54 2009 +0200

    Post release version bump 2.15.2

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2c0ba86924b6fa86ab48a3bcd1f33f717c886164
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Mon May 25 00:22:54 2009 +0200

    Update NEWS, release 2.15.1

 NEWS |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 713d88a59b099fb04139b93d60401895ff51e6ef
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Mon May 25 00:16:28 2009 +0200

    Post release version bump 2.15.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ee2dfca5879125346bc309f4f13c553e12fb7460
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sat May 16 00:12:46 2009 +0300

    Add HSV support to gtk.gdk.Color objects

    Add read-only float attributes for hue, saturation and value of a
    color.  Add a function to create a color objects out of HSV
    components.  Add unit tests and document new features.  Part of bug
    546019.

 docs/reference/pygtk-gdkcolor.xml |  100
 ++++++++++++++++++++++++++++++++++++-
 gtk/gdk-base-types.defs	   |	3 +
 gtk/gdkcolor.override		   |   83 ++++++++++++++++++++++++++++++
 tests/test_color.py		   |   21 +++++++-
 4 files changed, 204 insertions(+), 3 deletions(-)

commit 15b7265a00d405d6115f45ba0b1f26019ef1a52b
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Tue May 12 00:47:51 2009 +0300

    Add floating-point support to gtk.gdk.Color

    Make constructor accept floating-point arguments.  Add 'red_float',
    'green_float' and 'blue_float' read-write properties.  Test and
    document new features.  Part of bug #546019.

 docs/reference/pygtk-gdkcolor.xml |   50 +++++++++
 gtk/gdk-base-types.defs	   |	5 +
 gtk/gdkcolor.override		   |  220
 +++++++++++++++++++++++++++++++------
 tests/test_color.py		   |   21 ++++
 4 files changed, 260 insertions(+), 36 deletions(-)

commit 029b2905baec78b370e76e1b2340dc2ee2ddaea1
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Tue May 12 23:32:40 2009 +0300

    Retire hand-written ChangeLog; autocreate from Git history

    Basically copied over from GLib source tree.

 ChangeLog	    | 3544
 ---------------------------------------------------
 ChangeLog.pre-2-16 | 3546
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am	    |	33 +
 3 files changed, 3579 insertions(+), 3544 deletions(-)

commit bec9aad2859e246ee5148494089dcc67c1fd8404
Author: Frederic Peters <fpeters@0d.be>
Date:	Tue May 12 20:26:30 2009 +0300

    Fix conditional in docs/Makefile.am

    Bug #582139.

 docs/Makefile.am |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 04889ab2e24a691a523c2b5db1da1cfa2a7c40a9
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sat May 9 16:12:12 2009 +0300

    Document that gtk.gdk.GC coordinates are not related to allocation

    See bug #581357.

 docs/reference/pygtk-gdkgc.xml |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit b8b6f248286b1e4ff1179bdc4e8b810f6e9f00c5
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Fri May 8 23:50:49 2009 +0300

    Make pygtk_boxed_unref_shared() also handle Py_None

    Fixes bug #523001.

 gtk/gtkobject-support.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 25a126afb27e7f946a0da2fd8d304c99fa6c8ee6
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Fri May 8 23:42:06 2009 +0300

    Make gtk.MenuItem.set_submenu accept None

    Fixes bug #534675.

 gtk/gtk-base.defs |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5e1034ff15690da047c280022e9c9e99f3d8ba5b
Author: Björn Lindqvist <bjourne@gmail.com>
Date:	Fri May 8 23:31:57 2009 +0300

    Don't run 'fixxref.py' if documentation is not built

    Closes bug #536091.

 docs/Makefile.am |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 313b6c7133542096e4b229066fb654b067883212
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Fri May 8 23:14:21 2009 +0300

    Apply libtool 2.2 compatibility patch

    Closes bug #564023.

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit cec183f138153df7c6573b01f3a44a5fe54dfc54
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sat May 2 16:55:53 2009 +0300

    Plug reference leak on main signal watch source

    Additionally rename pygtk_signal_watch_finalize() to
    pygtk_main_watch_finalize() for consistency.  Fixes bug #579406.

 gtk/gtk.override |   18 ++++++++++++++----
 1 files changed, 14 insertions(+), 4 deletions(-)

commit bf8333755b4db98a54650f1cd15ecfe4fa2b4451
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Fri May 8 21:46:45 2009 +0300

    Add extra warning against accidental misuse of tree model columns

    If a property is bound from a boolean (which is treated as integer,
    even though user most likely has different intentions), issue a
    warning.  Closes bug #554061.

 gtk/gtktreeview.override |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 807239aac5d1a8ae7ab1e3e2360d54ee572bbfdd
Author: Mariano Suárez-Alvarez <mariano.suarezalvarez+bugzilla@gmail.com>
Date:	Fri May 8 21:39:53 2009 +0300

    Wrap gtk.Border attributes and constructor

    Closes bug #414779.

 docs/reference/pygtk-gtkborder.xml |  102 +++++++++++++++++++++++
 gtk/Makefile.am		    |	 1 +
 gtk/gtk-base.defs		    |	 6 ++
 gtk/gtk.override		    |	 1 +
 gtk/gtkborder.override		    |  159
 ++++++++++++++++++++++++++++++++++++
 5 files changed, 269 insertions(+), 0 deletions(-)

commit d62ef2077277f32f0c88bdde92cc48a0efaa38a6
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Fri May 8 21:06:54 2009 +0300

    Make gtk.gdk.Event.time accept 'long' in assignments

    Fixes bug #408658.

 gtk/gdkevent.override	|   46
 ++++++++++++++++++++++++++--------------------
 tests/test_gdkevent.py |    9 +++++++++
 2 files changed, 35 insertions(+), 20 deletions(-)

commit ed89f5605c57e21e95cfc2fecfc6830947faf2de
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Fri May 8 20:59:33 2009 +0300

    Wrap gtk.RcStyle attributes

    Closes bug #421196.

 docs/reference/pygtk-gtkrcstyle.xml |	 92 +++++++++++++++++++++
 gtk/Makefile.am		     |	  1 +
 gtk/gtk-base-types.defs	     |	 11 +++
 gtk/gtk-types.c		     |	154
 ++++++++++++++++++++++++++++++++++-
 gtk/gtk.override		     |	  1 +
 gtk/gtkrcstyle.override	     |	150
 ++++++++++++++++++++++++++++++++++
 gtk/pygtk-private.h		     |	 11 +++
 7 files changed, 419 insertions(+), 1 deletions(-)

commit 948dd2863d130b3e7bb81cd7df07a95e49a2c778
Author: Gian Mario Tagliaretti <gianmt@gnome.org>
Date:	Sat May 2 23:53:02 2009 +0200

    Update NEWS and README, release PyGTK 2.15.0

 NEWS	|   19 +++++++++++++++++++
 README |    8 +++++---
 2 files changed, 24 insertions(+), 3 deletions(-)

commit 90cfb3e6694a9d575b8fb2420b1c61fd5d6401a8
Author: Paul Pogonyshev <pogonyshev@gmx.net>
Date:	Sat May 2 17:11:03 2009 +0300

    Document pango.UNDERLINE_ERROR

    Fixes bug #576938.

 docs/reference/pygtk-pango-constants.xml |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)
